4Suite™ API Documentation

# ► Module Ft.Rdf.Serializers

Serializers create a serialized representation from an RDF model, or populate a model with statements from a serialized form. Currently the only built-in serializer for 4RDF handles a DOM form representing the XML serialization from the RDF Model and syntax recommendation at http://www.w3.org/TR/REC-rdf-syntax/.

Classes: Error, RdfException

## Modules

Dom | RDF model-to-DOM serialization, DOM-to-RDF model deserialization where the serialized DOM conforms to RDF/XML syntax (1999 Recommendation)
NTriples | N-Triples module. http://www.w3.org/TR/rdf-testcases/#ntriples

## Classes

class Error

class RdfException(exceptions.Exception)

### Methods

__init__(self, errorCode, args=None)

### Methods inherited from class exceptions.Exception

__getitem__, __str__